For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETRetrieves a list of notifications
      • POSTMark notifications as read
      • PUT[BETA] Subscribe to email subscription
      • DEL[BETA] Unsubscribe from email subscription

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APINotifications

Retrieves a list of notifications

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/notifications
GET
/api/admin/notifications
$curl https://app.unleash-instance.example.com/api/admin/notifications \
> -H "Authorization: <apiKey>"
200Retrieved
1[
2 {
3 "id": 1,
4 "message": "Your change request got approved",
5 "link": "/myunleash/projects/myproject/change-requests/46",
6 "notificationType": "change-request",
7 "createdBy": {
8 "username": "Jane Smith",
9 "imageUrl": "https://gravatar.com/avatar/758f27d1f066779a62a65665242b8780107df403509a62a9e8a5924df5469f68?s=42&d=retro&r=g"
10 },
11 "createdAt": "2022-12-02T13:17:12.445Z",
12 "readAt": "2022-12-02T13:17:12.445Z"
13 }
14]

Enterprise feature

A user may get relevant notifications from the projects they are a member of

Was this page helpful?
Previous

Mark notifications as read

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

notificationsSchema
iddouble
The id of this notification
messagestring
The actual notification message
linkstring
The link to change request or feature flag the notification refers to
notificationTypeenum
The type of the notification used e.g. for the graphical hints
Allowed values:
createdByobject
createdAtstringformat: "date-time"
The date and time when the notification was created
readAtstring or nullformat: "date-time"

The date and time when the notification was read or marked as read, otherwise null